---
id: mma-torrents
name: MMA-torrents
description: "MMA-Torrents is a Private Torrent Tracker for MMA (Mixed Martial Arts)"
language: en-US
type: private
encoding: UTF-8
links:
  - https://mma-torrents.com/

caps:
  categorymappings:
    - {id: 92, cat: Audio/Other, desc: "Audio - Podcast"}
    - {id: 128, cat: TV/Sport, desc: "Boxing - Bare Knuckle"}
    - {id: 105, cat: TV/Sport, desc: "Boxing - HD"}
    - {id: 71, cat: TV/Sport, desc: "Boxing - SD"}
    - {id: 86, cat: TV/Documentary, desc: "Documentary - All"}
    - {id: 109, cat: TV/Sport, desc: "Events - Bellator/HD"}
    - {id: 89, cat: TV/Sport, desc: "Events - Bellator/SD"}
    - {id: 131, cat: TV/Sport, desc: "Events - Cage Warriors"}
    - {id: 132, cat: TV/Sport, desc: "Events - Invicta FC"}
    - {id: 130, cat: TV/Sport, desc: "Events - KOTC"}
    - {id: 90, cat: TV/Sport, desc: "Events - M-1"}
    - {id: 120, cat: TV/Sport, desc: "Events - MMA/Brazil"}
    - {id: 70, cat: TV/Sport, desc: "Events - MMA/Other/HD"}
    - {id: 47, cat: TV/Sport, desc: "Events - MMA/Other/SD"}
    - {id: 129, cat: TV/Sport, desc: "Events - ONE"}
    - {id: 126, cat: TV/Sport, desc: "Events - Other/Other"}
    - {id: 96, cat: TV/Sport, desc: "Events - UFC/HD"}
    - {id: 103, cat: TV/Sport, desc: "Events - UFC/SD"}
    - {id: 93, cat: Audio/Other, desc: "Instructional - Audio"}
    - {id: 112, cat: TV/Sport, desc: "Instructional - DVD/ISO/WEB"}
    - {id: 113, cat: Movies/DVD, desc: "Instructional - DVDRip/Other"}
    - {id: 73, cat: Books/EBook, desc: "Instructional - E-book"}
    - {id: 83, cat: TV/Other, desc: "Instructional - Fitness"}
    - {id: 124, cat: TV/Sport, desc: "JJ/BJJ - Events"}
    - {id: 85, cat: TV/Sport, desc: "JJ/BJJ - Misc/Other"}
    - {id: 99, cat: TV/Sport, desc: "Kickboxing - HD"}
    - {id: 84, cat: TV/Sport, desc: "Kickboxing - SD"}
    - {id: 111, cat: Books/Mags, desc: "Magazines - All"}
    - {id: 58, cat: Other/Misc, desc: "Misc - All"}
    - {id: 63, cat: TV/Sport, desc: "Misc - MMA Special"}
    - {id: 62, cat: Movies/Other, desc: "Movies - MMA Related"}
    - {id: 77, cat: TV/Sport, desc: "Muay Thai - All"}
    - {id: 110, cat: TV/Sport, desc: "Packs - Career"}
    - {id: 115, cat: TV/Sport, desc: "Packs - Instructionals"}
    - {id: 91, cat: TV/Sport, desc: "Packs - Other/HD"}
    - {id: 64, cat: TV/Sport, desc: "Packs - Other/SD"}
    - {id: 95, cat: TV/Sport, desc: "Packs - Pride"}
    - {id: 59, cat: TV/Sport, desc: "Packs - TUF"}
    - {id: 114, cat: TV/Sport, desc: "Packs - UFC"}
    - {id: 122, cat: TV/Sport, desc: "Packs - Userpacks"}
    - {id: 72, cat: TV/Sport, desc: "Retro - K-1"}
    - {id: 61, cat: TV/Sport, desc: "Retro - Other/All"}
    - {id: 66, cat: TV/Sport, desc: "Retro - PRIDE"}
    - {id: 67, cat: TV/Sport, desc: "Retro - UFC"}
    - {id: 69, cat: TV/Sport, desc: "Retro - WEC"}
    - {id: 97, cat: TV/Sport, desc: "TUF - Episode/HD"}
    - {id: 104, cat: TV/Sport, desc: "TUF - Episode/SD"}
    - {id: 101, cat: TV/Sport, desc: "TV Show - Episode/HD"}
    - {id: 94, cat: TV/Sport, desc: "TV Show - Episode/SD"}
    - {id: 127, cat: TV/Sport, desc: "TV Show - WebRip"}

  modes:
    search: [q]
    tv-search: [q, season, ep]
    movie-search: [q]
    book-search: [q]

settings:
  - name: username
    type: text
    label: Username
  - name: password
    type: password
    label: Password
  - name: freeleech
    type: checkbox
    label: Search freeleech only
    default: false
  - name: sort
    type: select
    label: Sort requested from site
    default: seeders
    options:
      name: title
      size: size
      seeders: seeders
  - name: type
    type: select
    label: Order requested from site
    default: desc
    options:
      desc: desc
      asc: asc

login:
  path: account-login.php
  method: post
  inputs:
    username: "{{ .Config.username }}"
    password: "{{ .Config.password }}"
    returnto: "/"
  error:
    - selector: table.main:contains("Login failed!")
      message:
        selector: table tr td.text
  test:
    path: torrents.php
    selector: a[href="account-logout.php"]

search:
  paths:
    - path: torrents.php
  inputs:
    $raw: "{{ range .Categories }}c{{.}}=1&{{end}}"
    incldead: 1
    lang: 0
    # 0 all 1 notfree 2 onlyfree
    freeleech: "{{ if .Config.freeleech }}2{{ else }}0{{ end }}"
    search: "{{ .Keywords }}"
    sort: "{{ .Config.sort }}"
    order: "{{ .Config.type }}"

  rows:
    selector: table[class="ttable_headinner"] tr:has(a[href^="download.php?id="])

  fields:
    category:
      selector: a[href^="torrents.php?cat="]
      attribute: href
      filters:
        - name: querystring
          args: cat
    title:
      selector: a[href^="torrents-details.php?id="]
      attribute: title
    details:
      selector: a[href^="torrents-details.php?id="]
      attribute: href
    download:
      selector: a[href^="download.php?id="]
      attribute: href
    date:
      selector: td:nth-child(2)
      filters:
        - name: regexp
          args: "(\\d{4}-\\d{2}-\\d{2} \\d{2}:\\d{2}:\\d{2})"
        - name: append
          args: " -07:00" # PDT
        - name: dateparse
          args: "yyyy-MM-dd HH:mm:ss zzz"
    grabs:
      selector: td:nth-child(2)
      filters:
        - name: regexp
          args: "Completed.*(\\d+)"
    size:
      selector: td:nth-child(6)
    seeders:
      selector: td:nth-child(7)
    leechers:
      selector: td:nth-child(8)
    downloadvolumefactor:
      case:
        img[src="img/freeleech_star.gif"]: 0
        "*": 1
    uploadvolumefactor:
      text: 1
# TorrentTrader 2.03
